FactoryBot.define do
  factory :work_component_template, class: 'Ecom::Model::WorkComponentTemplate' do
    code { FFaker::Name.name }
    name { FFaker::Name.name }
    description { FFaker::Name.name }
    relative_percentage { FFaker::Random.rand(0..100) }
    dimension { [{ label: 'Length', name: 'length' }, { label: 'Width', name: 'width' }] }
    association :work_product_template
    association :task_template
  end
end
