FactoryBot.define do
  factory :project, class: 'Ecom::Model::Project' do
    name { FFaker::Name.name }
    description { FFaker::Name.name }
    location { FFaker::Name.name }
    objective { FFaker::Name.name }
    project_scope { FFaker::Name.name }
    association :employer, factory: :stakeholder
    association :contractor, factory: :stakeholder
    association :consultant, factory: :stakeholder
    association :project_manager, factory: :stakeholder
    association :task_template
    contract_number { FFaker::Name.name }
    date_contract_signed { 30.days.ago }
    commencement_date { 1.day.ago }
    completion_date { Time.now.next_month }
    contract_amount { FFaker::Random.rand(1_000_000..9_999_999) }
    advance_payment { FFaker::Random.rand(0..100) }
    retention { FFaker::Random.rand(0..100) }
    remark { FFaker::Name.name }
    association :currency
  end
end
